//
// OrganizationGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct OrganizationGet: Codable {

    public var name: String
    public var _description: String
    public var logoId: UUID?
    public var _id: Int
    public var isInternal: Bool
    public var logoUrl: String?

    public init(name: String, _description: String, logoId: UUID? = nil, _id: Int, isInternal: Bool, logoUrl: String? = nil) {
        self.name = name
        self._description = _description
        self.logoId = logoId
        self._id = _id
        self.isInternal = isInternal
        self.logoUrl = logoUrl
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case _description = "description"
        case logoId = "logo_id"
        case _id = "id"
        case isInternal = "is_internal"
        case logoUrl = "logo_url"
    }

}
